## org.eclipse.uml2.uml.ecore.importer.ui
Class UMLImporterDetailPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
                  org.eclipse.emf.converter.ui.contribution.base.ModelConverterURIPage
                      org.eclipse.emf.importer.ui.contribution.base.ModelImporterDetailPage
                          org.eclipse.uml2.uml.ecore.importer.ui.UMLImporterDetailPage

All Implemented Interfaces:
  org.eclipse.emf.importer.ui.contribution.base.IModelImporterPage, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage, org.eclipse.swt.widgets.Listener

    public class UMLImporterDetailPage

extends org.eclipse.emf.importer.ui.contribution.base.ModelImporterDetailPage

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage.PageDiagnosticHandler`

Field Summary
`protected java.util.Map<java.lang.String,java.lang.String>` `choiceLabels`
`protected java.lang.String` `discardChoiceLabel`
`protected java.lang.String` `ignoreChoiceLabel`
`protected java.lang.String` `processChoiceLabel`
`protected java.lang.String` `reportChoiceLabel`

Fields inherited from class org.eclipse.emf.importer.ui.contribution.base.ModelImporterDetailPage
`filterExtensions, genModelNameText, loadButton, showGenModel, usingInternalSetName`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterURIPage
`browseFileSystemButton, browseWorkspaceButton, uriText`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`CAUSE_BACK, CAUSE_CANCEL, CAUSE_FINISH, CAUSE_NEXT, CAUSE_UNKNOWN, forwardDirection, handlingEvent, modelConverter, neverVisible, pageDiagnosticHandler`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`UMLImporterDetailPage(org.eclipse.emf.importer.ModelImporter modelImporter, java.lang.String pageName)`

Method Summary
`protected void` `addDetailControl(org.eclipse.swt.widgets.Composite parent)`
`protected void` `addOptionButton(org.eclipse.swt.widgets.Composite optionsParent, org.eclipse.swt.widgets.Composite parent, java.lang.String text, java.lang.String choiceLabel)`
`protected void` `addOptionControl(org.eclipse.swt.widgets.Composite parent, java.lang.String text, java.lang.String option, java.lang.String[] choices, java.lang.String initialChoice)`
`protected UMLImporter` `getUMLImporter()`

Methods inherited from class org.eclipse.emf.importer.ui.contribution.base.ModelImporterDetailPage

`addControl, addURIControl, adjustLoadButton, browseFileSystem, browseWorkspace, createGenModelNameControl, dispose, doHandleEvent, getDefaultGenModelFileName, getFilterExtensions, getModelImporter, getSelectModelLabel, getURITextInitialValue, getURITextLabel, handleOriginalModelFile, internalSetGenModelFileName, isPageComplete, isValidWorkspaceResource, pageActivated, refreshModel, refreshModel, showGenModel, supportMultipleURIs, uriTextModified`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterURIPage
`createControl, createURIControl, getBrowseFileSystemButtonLabel, getBrowseWorkspaceButtonLabel, setURIText`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`getModelConverter, getNextPage, getPreviousPage, handleDiagnostic, handleDiagnostic, handleEvent, isHandlingEvent, pageDeactivated, setHandlingEvent`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizardPage
`canFlipToNextPage, getName, getNextPage, getPreviousPage, getWizard, setPreviousPage, setWizard`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Field Detail

### choiceLabels

    protected final java.util.Map<java.lang.String,java.lang.String> choiceLabels

### discardChoiceLabel

    protected final java.lang.String discardChoiceLabel

### ignoreChoiceLabel

    protected final java.lang.String ignoreChoiceLabel

### processChoiceLabel

    protected final java.lang.String processChoiceLabel

### reportChoiceLabel

    protected final java.lang.String reportChoiceLabel

Constructor Detail

### UMLImporterDetailPage

    public UMLImporterDetailPage(org.eclipse.emf.importer.ModelImporter modelImporter,
                                 java.lang.String pageName)

Method Detail

### addOptionControl

    protected void addOptionControl(org.eclipse.swt.widgets.Composite parent,
                                    java.lang.String text,
                                    java.lang.String option,
                                    java.lang.String[] choices,
                                    java.lang.String initialChoice)

### addOptionButton

    protected void addOptionButton(org.eclipse.swt.widgets.Composite optionsParent,
                                   org.eclipse.swt.widgets.Composite parent,
                                   java.lang.String text,
                                   java.lang.String choiceLabel)

### addDetailControl

    protected void addDetailControl(org.eclipse.swt.widgets.Composite parent)

  Overrides:
    `addDetailControl` in class `org.eclipse.emf.importer.ui.contribution.base.ModelImporterDetailPage`

### getUMLImporter

    protected UMLImporter getUMLImporter()

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.